Subject: FVWM: FVWM2: Fast Move and Resize?

From: Armin Richter <[email-masked]>
Date: Wed, 28 May 1997 22:14:47 +0200 (MET_DST)

---------- Forwarded message ----------
Date: Thu, 22 May 1997 11:18:02 +0200 (MET_DST)
From: Armin Richter 
To: [email-masked]

Nice Greetings to everyone.

Maybe someone can help me:

I take part in a Project that develops
a module for fvwm2 2.0.43.

This module has to heavily move and resize windows.
In fact, several windows simultaniously
The resize shall be done in several smaller steps 
(for outlook reasons)
As the resize process takes much time
(at least too much for the project's needs)
here's my question:

Is there a possibility to temporarily stop
X or fvwm from sending refresh messages to
windows (until the resize process has completed entirely)?
To make it clear: the resizing and moving is done by the module,
not by hand, so switching OpaqueResize doesn't change anything.

Of course I could patch fvwm, but maybe there's
a possibility without changing it.

I tried to temporarily disable XMapWindow in events.c:

	default:
	  if (Tmp_win->Desk == Scr.CurrentDesk)
	    {
/*	      XMapWindow(dpy, Tmp_win->w);*/
/* This should at least keep the borders been redrawn, but in fact it*/
/* doesn't. Any comments? */

	      XMapWindow(dpy, Tmp_win->frame);
	      Tmp_win->flags |= MAP_PENDING;
	      SetMapStateProp(Tmp_win, NormalState);
	      if((Tmp_win->flags & ClickToFocus)&&
		 ((!Scr.Focus)||(Scr.Focus->flags & ClickToFocus)))
		{
		  SetFocus(Tmp_win->w,Tmp_win,1);
		}
	    }
	  else
	    {
/*	      XMapWindow(dpy, Tmp_win->w);*/
	      SetMapStateProp(Tmp_win, NormalState);
	    }
	  break;

But that disables nearly everything.
The borders should be redrawn as always, however, the client's windows
shall only be moved, not resized, as long as the window has not
reached its final destination.

Thank you very much for every hint.

Yours sincerely,
Armin Richter

K. Armin Richter            
Student TU Braunschweig        Uni Hildesheim is alive!
PGP-public-key upon request Key fingerprint: 1997/02/02 
   0E 0A D2 9B A6 4E 3F B4  B7 6D F1 D8 F0 23 0F E5

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].